Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88346 - '/bin/ls -l' is not properly aligned for the zh_CN locale
Summary: '/bin/ls -l' is not properly aligned for the zh_CN locale
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: coreutils
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-09 06:56 UTC by Need Real Name
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version: 5.0-5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-28 09:27:52 UTC


Attachments (Terms of Use)
Sample output (deleted)
2003-04-09 06:57 UTC, Need Real Name
no flags Details
Expected output (deleted)
2003-04-09 06:58 UTC, Need Real Name
no flags Details

Description Need Real Name 2003-04-09 06:56:09 UTC
Description of problem:

An easy bug:

The filename field of the command 'ls -l' is not properly aligned
under the locale zh_CN.GB18030. Please see attached file ls-rh9.jpg.
For comparison, I also attached a sample output using the 'ls'
program from the fileutils package of RedHat-8.0 (ls-rh8.jpg).

Version-Release number of selected component (if applicable)

coreutils-4.5.3-19

How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:

See ls-rh9.jpg

Expected results:

See ls-rh8.jpg

Additional info:

Comment 1 Need Real Name 2003-04-09 06:57:32 UTC
Created attachment 91030 [details]
Sample output

Comment 2 Need Real Name 2003-04-09 06:58:26 UTC
Created attachment 91031 [details]
Expected output


Note You need to log in before you can comment on or make changes to this bug.